$ErrorActionPreference = 'Stop';

$packageName= 'invantive-business-for-windows'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Business%20for%20Windows-22.1.48-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Business%20for%20Windows-22.1.48-BETA.msi'
  softwareName = 'Invantive Business for Windows'
  checksum = 'FCF1A65DF1EEDEAFE8AB7B0D829862E8D9AD33FCD9B73F4357AEC85FE0A0FD4D'
  checksumType = 'sha256'
  checksum64 = 'FCF1A65DF1EEDEAFE8AB7B0D829862E8D9AD33FCD9B73F4357AEC85FE0A0FD4D'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-business-for-windows-22.1.48-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
